Bug 1701948 - Improvements to luks encryption performance in QEMU
Summary: Improvements to luks encryption performance in QEMU
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: qemu-kvm
Version: ---
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Daniel Berrangé
QA Contact: Yanhui Ma
URL:
Whiteboard:
Depends On: 1762741 1762765 1762775
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 14:25 UTC by Ademar Reis
Modified: 2023-10-06 18:15 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-11 11:46:32 UTC
Type: Enhancement
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4815611 0 None None None 2020-02-10 16:44:06 UTC

Description Ademar Reis 2019-04-22 14:25:07 UTC
Although there were patches improving the performance of the AES/XTS (the default) for luks encryption on upstream QEMU (3.1+), we believe there's still room for further improvements in this area.

This BZ is to track this work (identify the bottlenecks, run benchmarks, and implement the changes).

Some background about luks encryption performance:

The patches were merged upstream in QEMU-3.1 and are being backported to RHEL-7.7 (bug 1666336) and RHEL-8.0.1 (bug 1680231). RHEL-AV-8.0 already includes them (QEMU-3.1).

The above is valid on x86_64 only, where hardware support for AES is available. On power, there's a different BZ: bug 1680226.

Comment 5 Daniel Berrangé 2019-10-17 12:55:49 UTC
Since "improve performance" is quite a general problem with many separate changes being relevant, I'm going to treat this bug as a tracker bug for ongoing performance work. Specific fixes/changes will all get their own targetted bug report.

Comment 7 Ademar Reis 2020-02-05 22:56:28 UTC
QEMU has been recently split into sub-components and as a one-time operation to avoid breakage of tools, we are setting the QEMU sub-component of this BZ to "General". Please review and change the sub-component if necessary the next time you review this BZ. Thanks

Comment 10 Daniel Berrangé 2020-09-11 11:46:32 UTC
Closing this tracking bug, since the massive gcrypt performance improvements (bug 1762765) are pending release for RHEL-8.3, and there aren't active plans todo further performance work in QEMU at this time.


Note You need to log in before you can comment on or make changes to this bug.